Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll
Class WheelScrollUpEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.ui.mouse.gestures.SyntheticMouseGestureEvent<WheelScrollUpHandler,MouseWheelEvent>
                      com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll.WheelScrollUpEvent

    public class WheelScrollUpEvent

extends SyntheticMouseGestureEvent<WheelScrollUpHandler,MouseWheelEvent>

Represents a mouse wheel scroll-up event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`WheelScrollUpEvent(MouseWheelEvent evt, PointView location)` Creates a new `WheelScrollUpEvent` from the source `MouseWheelEvent` and location of the mouse.

Method Summary
`protected void` | `dispatch(WheelScrollUpHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<WheelScrollUpHandler>` | `getAssociatedType()` Returns the event type associated with mouse wheel scroll-up events.
`PointView` | `getLocation()` Returns the location of the mouse, in the target element's coordinate system.
`static GwtEvent.Type<WheelScrollUpHandler>` | `getType()` Returns the event type associated with mouse wheel scroll-up events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WheelScrollUpEvent

    public WheelScrollUpEvent(MouseWheelEvent evt,
                              PointView location)

  Creates a new `WheelScrollUpEvent` from the source `MouseWheelEvent` and location of the mouse.

  Parameters:
    `evt` - The `MouseWheelEvent` that triggered this event.
    `location` - The location of the mouse, in the target element's coordinate system.

Method Detail

### getLocation

    public PointView getLocation()

  Returns the location of the mouse, in the target element's coordinate system.

### getType

    public static GwtEvent.Type<WheelScrollUpHandler> getType()

  Returns the event type associated with mouse wheel scroll-up events.

### getAssociatedType

    public GwtEvent.Type<WheelScrollUpHandler> getAssociatedType()

  Returns the event type associated with mouse wheel scroll-up events.

  Overrides:
    `getAssociatedType` in class `GwtEvent<WheelScrollUpHandler>`

### dispatch

    protected void dispatch(WheelScrollUpHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<WheelScrollUpHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD